<div>
    <a target="_blank" href="https://facebook.com/getpieces"><img src="https://storage.googleapis.com/pieces_static_resources/vs_code_marketplace/GRAPHICS/COMMUNITY_LOGOS_BLURRED/FACEBOOK_BLURRED" alt="Pieces Facebook Community" /></a>
    <a target="_blank" href="https://dev.to/get_pieces/" ><img src="https://storage.googleapis.com/pieces_static_resources/vs_code_marketplace/GRAPHICS/COMMUNITY_LOGOS_BLURRED/DEV_TO_BLURRED" alt="Pieces Dev.to Blog" /></a>
    <a target="_blank" href="https://twitter.com/getpieces" ><img src="https://storage.googleapis.com/pieces_static_resources/vs_code_marketplace/GRAPHICS/COMMUNITY_LOGOS_BLURRED/TWITTER_BLURRED" alt="Pieces for Developers ⎸ Twitter Page" /></a>
    <a target="_blank" href="https://pieces.hashnode.dev/" ><img src="https://storage.googleapis.com/pieces_static_resources/vs_code_marketplace/GRAPHICS/COMMUNITY_LOGOS_BLURRED/HASHNODE_BLURRED" alt="Pieces for Developers Blog ⎸ Hashnode" /></a>
    <a target="_blank" href="https://pieces.medium.com/" ><img src="https://storage.googleapis.com/pieces_static_resources/vs_code_marketplace/GRAPHICS/COMMUNITY_LOGOS_BLURRED/MEDIUM_BLURRED" alt="Pieces for Developers Blog ⎸ Medium" /></a>
    <a target="_blank" href="https://code.pieces.app/blog" ><img src="https://storage.googleapis.com/pieces_static_resources/vs_code_marketplace/GRAPHICS/COMMUNITY_LOGOS_BLURRED/PIECES_BLURRED" alt="Pieces for Developers ⎸ Blog" /></a>
    <a target="_blank" href="https://www.youtube.com/@getpieces" ><img src="https://storage.googleapis.com/pieces_static_resources/vs_code_marketplace/GRAPHICS/COMMUNITY_LOGOS_BLURRED/YOUTUBE_BLURRED" alt="Pieces for Developers ⎸ Youtube Channel" /></a>
</div>

# Join our community!

## Help Us Shape the Vision

We're an early-stage software company on a mission to boost developer productivity and facilitate seamless workflows across a project's life cycle. Here are a few ways you can help us shape our vision and make our mission a reality.

### <a target="_blank" href="https://discord.gg/getpieces">Join Our Discord Community</a>

Once you're in the Discord, you're just a message away from the devs building Pieces for Developers. You can submit support tickets, ask questions, and find opportunities to participate in feedback sessions or contests - it's all up to you! The first step is to join the server.

### <a target="_blank" href="https://github.com/pieces-app/opensource">Contribute to Open Source by Pieces</a>

We believe that collaboration fuels innovation, and we're always on the lookout for passionate developers who want to make a difference. There are multiple ways you can get involved: from contributing to one of our open source SDKs, to offering feature suggestions, to participating in our regular AMAs.

If you have a knack for writing, you're also welcome to share your insights [through guest blog posts](https://code.pieces.app/content-partner). Or maybe you're great at spotting bugs? Our GitHub repos are always open for your contributions. No contribution is too small, and every voice is valued. [Join our community today via Discord](https://discord.gg/getpieces) to help us shape the future of AI-enabled development tools!

### <a target="_blank" href="https://docs.pieces.app/support">Submit Feedback or a Feature Request</a>

We want to hear what you think! Reach out to us and let us know how you like our products or how we can make your experience even better. Whether this is constructive product feedback or a request for more features or product capabilities, we want to hear from you.

### <a target="_blank" href="https://getpieces.typeform.com/to/XGGlUqEI">Join our Beta Program</a> to test new products and features!

If you're someone who likes to get their hands on the latest and greatest, our Beta Program is the perfect fit for you. <a target="_blank" href="https://getpieces.typeform.com/to/XGGlUqEI">Fill out this form</a> to get early access to new features, products, and more. Help us uncover issues, optimize the user experience, and shape the product for our global user base.

### Leave us a (positive or _constructive_) product review

We are a small and passionate team of developers building an amazing suite of products for developer productivity and to augment existing workflows. Whether you've had a positive or negative experience with a Pieces for Developers product, we want to hear from you. Please leave us a private review on what you think about our products, as any bit of feedback helps us on our mission. Or, tell the world about your love for Pieces via our public pages:

- [G2 Reviews](https://www.g2.com/products/pieces-for-developers/reviews#reviews)
- [Google Chrome Marketplace](https://chrome.google.com/webstore/detail/pieces-save-code-snippets/igbgibhbfonhmjlechmeefimncpekepm)
- [VS Code Marketplace](https://marketplace.visualstudio.com/items?itemName=MeshIntelligentTechnologiesInc.pieces-vscode)
- [Jetbrains Intellij Marketplace](https://plugins.jetbrains.com/plugin/17328-pieces--save-search-share--reuse-code-snippets)

## Stay in-the-know and Get Updates

### Subscribe to our <a target="_blank" href="https://www.youtube.com/@getpieces">YouTube Channel</a>

Our YouTube channel has all of the insights, tips, and helpful information you could need for all of our products. There, you'll find videos to walk you through the features our users love and more on how Pieces for Developers can help speed up your development workflow. Check out our YouTube channel and subscribe to receive the latest news, tips, and information about our products.

Check out some of the amazing collaborations we’ve had so far:

#### Live Podcast with Hitesh Chourdhary:

[![Live Podcast with Hitesh Chourdhary](https://img.youtube.com/vi/JKdthKIBG1g/0.jpg)](https://www.youtube.com/watch/JKdthKIBG1g)

#### Coding Tools with @thedeveloperadam:

[![Coding Tools with @thedeveloperadam](https://img.youtube.com/vi/oVJD10B-IL0/0.jpg)](https://youtube.com/shorts/oVJD10B-IL0)

#### Extracting Code from Screenshots with Varun Mayya:

[![Extracting Code from Screenshots with Varun Mayya](https://img.youtube.com/vi/sQYBoyhozDs/0.jpg)](https://youtube.com/watch/sQYBoyhozDs)

#### AI Collaboration with Ania Kubow:

[![Ai Collaboration with Ania Kubo](https://img.youtube.com/vi/myDDWsdeV6I/0.jpg)](https://www.youtube.com/embed/myDDWsdeV6I)

### Subscribe to <a target="_blank" href="https://getpieces.typeform.com/newsletter">The Pieces Post Newsletter</a>

We release updates 3-4 (or more) times a month across all of our products. That's a lot to keep up with! With each release comes an in-depth release note detailing new features, bug fixes, and product announcements. Stay in-the-know by subscribing to our newsletter for product updates, power tips, and broader AI trends in the software development industry.

### Engage with us on <a target="_blank" href="https://twitter.com/getpieces">Twitter</a> & <a href="https://www.linkedin.com/company/getpieces/">LinkedIn</a>

We post the latest on Pieces for Developers and topics buzzing around the technology community on our socials. Follow us for power tips, useful technical content, the occasional funny meme, or just to say “hi”. We'd love to engage with you!

## Beyond the Product

### Learn something new and check out our <a href="https://code.pieces.app/blog">Blog of Technical Content & Tutorials</a>

We have published 100+ articles on our blog and other developer blog sites like Medium, Hashnode, and Dev.to. We have the best technical content for you to learn from or reference in your projects. We cover content across all types of technical material, like which frameworks to use and when, tips and tricks, how-tos, programming language guides, Open Source information, and more.

### [Buy us a Coffee](https://www.buymeacoffee.com/getpieces)

We’re working hard every day to build amazing experiences for developers that boost productivity and help you write better code, faster. Our suite of products are still 100% free–if you enjoy Pieces, we’d love some coffee to keep us going!
