import * as fs from 'fs';
import * as path from 'path';
import packageJson from '../package.json';

// Might not want to do this
packageJson.preview = false;

// Setting beta package name
packageJson.name = 'pieces-azure-data-studio';
packageJson.displayName = 'Pieces for Azure Data Studio';

// Writing all these values to package.json
fs.writeFileSync(
  path.join(path.resolve('.'), 'package.json'),
  JSON.stringify(packageJson, null, 2)
);

// Copying README.beta.md to README.md
let readme = fs.readFileSync(path.join(__dirname, '../readme.ads.md'), 'utf8');
fs.writeFileSync(path.join(__dirname, '../readme.md'), readme);
