# Instructions for running locally

### First-time installation

In order to run the Pieces VS Code Extension in development, you'll first need [Node and npm](https://nodejs.org/en/download/). You can verify that your installation was successful by running `node -v`, which will yield the version number.

Then, install [nvm](https://nvm.sh) in order to use the correct version of Node. You'll have to restart your terminal instance following installation.

Finally, run `npm i` to install necessary dependencies.

### Debugging the Extension

- Run the terminal command `npm run debug`.
- Wait until webpack reports that it has compiled, which will be visible in the terminal.
- From the "Run and Debug" menu, select "Run Extension" in the dropdown.
- The extension will open in a new VS Code window.
