![Pieces OS and the Pieces Desktop Application](install_os.png)

# Install Pieces OS

Our centralized storage agent (Pieces OS) works on-device, unifying various developer tools (including the desktop app) to proactively capture and enrich useful materials, streamline collaboration, and solve complex problems through a contextual understanding of your unique workflow.

## What is Pieces OS?

Pieces OS operates as a background service that functions both offline and on-device to facilitate communication among individual products within the Pieces for Developers Suite. Its core functions include the management of local, private, and secure machine learning models used for the Pieces Copilot, as well as real-time search and suggestions.

Pieces OS enables Pieces products and local LLMs to operate 100% locally on your machine, with an option to connect to the cloud for backup, sharing, and cloud-based LLMs for code generation.
