<!-- here we can store all variables for the file -->

<!-- external urls  -->

[Pieces for Developers]: https://pieces.app/
[Flagship Desktop App]: https://pieces.app/
[Pieces for Developers | Desktop App]: https://pieces.app/
[Pieces for Developers | OS Server Local Runtime Background Service]: pieces://
[Pieces for Developers | OS Server]: https://pieces.app/
[Pieces for Developers | Flagship Desktop App]: https://pieces.app/
[Pieces for Developers | Azure Data Studio Extension]: #
[Pieces for Developers Snap Package]: https://pieces.app/getting-started/linux
[Azure Data Studio Extension]: https://marketplace.visualstudio.com/items?itemName=MeshIntelligentTechnologiesInc.pieces-vscode
[Chromium-Based Browser Extension]: https://chrome.google.com/webstore/detail/pieces-save-code-snippets/igbgibhbfonhmjlechmeefimncpekepm
[Shared Python Snippet]: https://python.pieces.cloud/?p=8711459369
[python.pieces.cloud]: https://python.pieces.cloud/?p=8711459369
[Curated Python Snippets Collection]: https://code.pieces.app/collections/python
[macOS 10.15 Catalina or higher]: https://support.apple.com/kb/DL2039?locale=en_US
[Pieces for Developers Package Installer]: https://builds.pieces.app/stages/production/macos_packaging/pkg/download
[Installation Manager]: https://builds.pieces.app/stages/production/pieces_suite_windows/appinstaller/download
[Windows 10 Version 1809 or higher]: https://www.catalog.update.microsoft.com/Search.aspx?q=windows%2010%201809
[Ubuntu 18 or higher]: https://releases.ubuntu.com/18.04/
[Join Our Beta Program]: https://getpieces.typeform.com/to/XGGlUqEI?os=9a9bc924-80cf-4f66-b7e8-da6526e0a5d0&user=85d3a788-9617-4a31-862b-bc26c649acca
[Submit Feedback]: https://getpieces.typeform.com/to/mCjBSIjF?os=9a9bc924-80cf-4f66-b7e8-da6526e0a5d0&user=85d3a788-9617-4a31-862b-bc26c649acca
[Release Notes & Monthly Newsletter]: https://code.pieces.app/updates
[Blog of Technical Content & Tutorials]: https://code.pieces.app/blog

<!-- youtube links -->

[Getting Started with Pieces for Developers | Azure Data Studio Extension]: https://youtu.be/azAk_zQfAak
[Youtube Channel]: https://www.youtube.com/@getpieces
[Snippet Discovery]: https://youtu.be/G6vb1USw-30

<!-- socials + contacts -->

[Twitter]: https://twitter.com/getpieces
[LinkedIn]: https://www.linkedin.com/company/getpieces/
[support@pieces.app]: mailto:support@pieces.app

<!-- internal table of contents -->

[save]: #accessing-saved-material-overviews-from-the-in-ide-list-view
[enrich]: #context-awareness-engine-useful-metadata-and-ai-auto-enrichment
[search]: #global-search-sort-via-suggestions-reference-and-reuse-saved-materials
[share]: #personalized-link-sharing-of-saved-materials-and-their-context-metadata
[reference]: #related-links-external-resources--reference-materials
[reuse]: #reuse-saved-materials-with-atomic-auto-complete
[generate]: #solve-coding-problems-faster-with-copilot-chats

<!-- (1) Product Highlights -->

[Product Highlights & Benefits]: #product-highlights--benefits
[Solve coding problems faster with Copilot Chats]: #solve-coding-problems-faster-with-copilot-chats
[Contextualized and Continuous Learning]: #contextualized-and-continuous-learning
[Local and Cloud-Based LLMs - Llama 2, GPT-3.5, GPT-4, and PaLM 2]: #local-and-cloud-based-llms-llama-2-gpt-35-gpt-4-and-palm-2

<!-- (1.1) Saving Useful Developer Materials -->

[Saving Useful Developer Materials]: #saving-useful-developer-materials
[Single Click Save]: #stay-in-flow-with-single-click-save
[Suggested Save and On-Device Pattern Engine]: #proactive-save-and-pattern-engine
[In-Project Snippet Discovery]: #in-project-snippet-discovery

<!-- (1.2) Context and Metadata -->

[Context Awareness Engine, Useful Metadata, and AI Auto-Enrichment]: #context-awareness-engine-useful-metadata-and-ai-auto-enrichment
[Context Awareness Engine and Origin Details]: #context-awareness-engine-useful-metadata-and-ai-auto-enrichment
[AI-Generated Smart Descriptions and Associated Commit Messages]: #ai-generated-smart-descriptions-and-associated-commit-messages
[Related Links and External Resources]: #related-links-external-resources--reference-materials
[Tags and Automatic Topic Labels]: #ai-generated-smart-labels-and-user-added-tags
[Related People and Associated Collaborators]: #related-people
[Sensitive Information Detection & Masking]: #smart-warnings-and-sensitive-information-detection

<!-- (1.3) Search and Reuse -->

[Search, Reference & Reuse Saved Materials]: #global-search-sort-via-suggestions-reference-and-reuse-saved-materials
[Global Search]: #global-search-sort-via-suggestions-reference-and-reuse-saved-materials
[In-Editor Global Search with the Command Palette]: #in-editor-global-search-with-the-command-palette
[Workflow Activity Stream and Process Backtracking]: #pick-up-where-you-left-off-with-the-workflow-activity-stream
[Saved Materials Quick Access and List View]: #personalized-link-sharing-of-saved-materials-and-their-context-metadata
[Atomic Auto-Complete]: #reuse-saved-materials-with-atomic-auto-complete
[Toggling Realtime and Scope-Relevant Suggestions]: #sorting-with-realtime-and-scope-relevant-suggestions
[Sorting via Suggestions]: #sorting-with-realtime-and-scope-relevant-suggestions
[Scope Relevant Suggestions]: #sorting-with-realtime-and-scope-relevant-suggestions
[Find Related Materials]: #find-related-materials
[Explore Snippets with Pieces Insights]: #explore-snippets-with-pieces-insights
[Document Snippets with Pieces Insights]: #document-snippets-with-pieces-insights

<!-- (1.4) Link Sharing and Personalization of Context -->

[Personalized Link Sharing]: #personalized-link-sharing-of-saved-materials-and-their-context-metadata
[Select and Share with Context]: #select-right-click--link-share-directly-in-your-ide
[Access and Save Offline from Shared Link]: #saving-a-shared-material-for-offline-reuse-from-the-pieces-for-developers--sharing-preview-web-app

<!-- (2) Installation Details and Getting Started -->

[Installation Details and Getting Started]: #installation-details-and-getting-started
[What is being installed?]: #what-all-is-being-installed
[MacOS]: #getting-started-with-pieces-for-developers-on-macos
[Windows]: #getting-started-with-pieces-for-developers-on-windows
[Linux]: #getting-started-with-pieces-for-developers-on-linux

<!-- (3) Addition Features -->

[Additional Features and Extension Settings]: #additional-features-and-benefits
[Managing and Updating your saved resources]: #additional-features-and-benefits
[Inserting a saved Code Snippet at your current cursor location]: #inserting-a-saved-code-snippet-at-your-current-cursor-location
[Editing saved Code Snippets and Text Notes]: #editing-saved-code-snippets-and-text-notes
[Reclassifying a Language Association of a saved Code Snippet]: #reclassifying-a-code-snippets-language-association
[Deleting a saved material]: #deleting-a-saved-material
[Connecting to Custom Cloud Domain]: #connecting-custom-cloud-domain

<!-- (4) Join the Community -->

[Join our Community]: #join-our-community
[Help us Shape the Vision]: #help-us-shape-the-vision
[Submit Feedback or a Feature Request]: #submit-feedback-or-a-feature-request
[Join our Beta Program]: #join-our-beta-program-to-test-new-products-and-features
[Product Review]: #leave-us-a-positive-or-constructive-product-review
[Get Updates]: #stay-in-the-know-and-get-updates
[YouTube Channel]: #subscribe-to-our-youtube-channel
[Release Notes & Monthly Newsletter]: #subscribe-to-our-release-notes--monthly-newsletter
[Twitter & LinkedIn]: #engage-with-us-on-twitter--linkedin
[Beyond the Product]: #beyond-the-product
[Blog of Technical Content & Tutorials]: #learn-something-new-and-check-out-our-blog-of-technical-content--tutorials
[Troubleshooting Solutions]: #troubleshooting
[Frequently Asked Questions]: #frequently-asked-questions
[Connectivity Issues]: #solving-common-connectivity-issues
[Get 1:1 Support]: #connect-with-our-team-and-get-11-support

## [Pieces for Developers] ⎸ Azure Data Studio Extension

#### In 2022, our team set out on a journey to build **_the most advanced code snippet management and workflow context platform_** yet.

#### The debut release of our **[Flagship Desktop App]** got the ball rolling, and now our Azure Data Studio Extension aims to take developers **_productivity to the next level_**, incorporates key capabilities and our users **_favorite features directly into their IDE_**.

## Effortlessly [save], [enrich], [search], [share], [reference], [reuse], [generate]: code snippets, workflow context, and other useful developer resources.

## Trusted by the World's Best Developers

#### From students and indie developers, to startups and open source teams, to enterprise organizations and beyond, **[Pieces for Developers]** is purpose built as a cohesive layer and a **_"tool between tools"_** that **_boosts productivity_** in three major workflow processes: researching and problem-solving **_in the browser_**, working with colleagues **_in collaborative environments_**, and lastly, writing, reviewing, referencing, and reusing code **_in the IDE_**.

#### We are a venture-backed company supported by some of the world's best investors. Our products & company are secure and continuing to grow.

#### Our **Azure Data Studio Extension** in combination with our **[Flagship Desktop App]** provides users a first-in-kind feature set ambitiously **_augmenting your development workflows_**.

## **_Take Back Your Time_** | Solving Productivity Bottlenecks

- ### Countless Google Searches, Open Tab Back-and-Forth & History Scrolling

  - #### More and more developer resources live online nowadays - tutorial sites, Stack Overflow posts, documentation & open source packages, wiki's and blog posts - the list goes on and on.
  - #### This combined with the constant switching back to the IDE, and other tools, often causes developers to lose track of where they were and start over again at the search bar.
    > #### Solution Highlights:
    >
    > - #### **[Pieces for Developers | Desktop App]** ships with a first-in-kind **[Workflow Activity Stream]** letting you pick up where you left off faster than ever.

- ### Resurfacing Additional Context in Collaborative Environments

  - #### Task and project context regarding the who, what, where, and why is often discussed over a variety of channels such as Email, Slack, Teams, Discord, Community Forums, Twitter, Reddit, and more.
  - #### Keeping track of this critical context - decision outcomes, architectures, implementation solutions, best practices, power tips, configs - is becoming harder than ever.
    > #### Solution Highlights:
    >
    > - #### When you save code snippets with the **Azure Data Studio Extension** it internally leverages our unique **[Context Awareness Engine and Origin Details]** to automatically extract and associate over 15 metadata heuristics.
    > - #### The **[Pieces for Developers | Desktop App]** enables you to **[Toggle Realtime and Scope-Relevant Suggestions]** around materials to save, reference, reuse, and share.

- ### Onboarding New Developers, Reducing Technical Debt & Code Reviews
  - #### Developers continuously have to navigate ever-growing code bases, backlog tasks, Jira Tickets, GitHub Issues, and Pull Requests all in an effort to reuse existing code, onboard new developers faster, share relevant examples, reduce technical debt and drive code standardization.
    > #### Solution Highlights:
    >
    > - #### Powered by our **[On-Device Proactive Save & Pattern Engine]** the **[Pieces for Developers | Azure Data Studio Extension]** can automatically recognize and save highly reusable, yet complementary materials for you.
    > - #### Leverage the **[Pieces for Developers | Desktop App]** to discover and extract reusable boilerplate through our **[In-Project Snippet Discovery]** features running entirely offline and on-device.

## Table of Contents & What's in this Readme

- ### Section: [Product Highlights & Benefits]
  - **[Solve coding problems faster with Copilot Chats]**
    - [Contextualized and Continuous Learning]
    - [Local and Cloud-Based LLMs - Llama 2, GPT-3.5, GPT-4, and PaLM 2]
  - **[Saving Useful Developer Materials]**
    - [Single Click Save]
    - [Suggested Save and On-Device Pattern Engine]
    - [In-Project Snippet Discovery]
  - **[Context Awareness Engine, Useful Metadata, and AI Auto-Enrichment]**
    - [Context Awareness Engine and Origin Details]
    - [AI-Generated Smart Descriptions and Associated Commit Messages]
    - [Related Links and External Resources]
    - [Tags and Automatic Topic Labels]
    - [Related People and Associated Collaborators]
    - [Sensitive Information Detection & Masking]
  - **[Search, Reference & Reuse Saved Materials]**
    - [In-Editor Global Search with the Command Palette]
    - [Saved Materials Quick Access and List View]
    - [Atomic Auto-Complete] Suggestions
    - [Explore Snippets with Pieces Insights]
    - [Document Snippets with Pieces Insights]
    - [Toggling Realtime and Scope-Relevant Suggestions]
    - [Workflow Activity Stream and process backtracking]
    - [Find Related Materials]
  - **[Personalized Link Sharing]**
    - [Select and Share with Context]
    - [Access and Save Offline from Shared Link]
- ### Section: [Installation Details and Getting Started]
  - **[What is being installed?]**
    - [Pieces for Developers | OS Server Local Runtime Background Service]
    - [Pieces for Developers | Flagship Desktop App]
    - [Pieces for Developers | Azure Data Studio Extension]
  - Platform Requirements
    - **[MacOS]**, **[Windows]**, **[Linux]**
- ### Section: [Additional Features and Extension Settings]
  - **[Managing and Updating your saved resources]**
    - [Inserting a saved Code Snippet at your current cursor location]
    - [Editing saved Code Snippets and Text Notes]
    - [Reclassifying a Language Association of a saved Code Snippet]
    - [Deleting a saved material]
    - [Connecting to Custom Cloud Domain]
- ### Section: [Join our Community]
  - **[Help Us Shape the Vision]**
    - **[Submit Feedback or a Feature Request]**
    - **[Join our Beta Program]**
    - Leave us a (positive or _constructive_) **[Product Review]**
  - Stay in the know and **[Get Updates]**
    - Subscribe to our **[YouTube Channel]**
    - Subscribe to our **[Release Notes & Monthly Newsletter]**
    - Engage with us on **[Twitter & LinkedIn]**
  - **[Beyond the Product]**
    - Learn something new and checkout our **[Blog of Technical Content & Tutorials]**
  - **[Troubleshooting Solutions]**
    - **[Frequently Asked Questions]**
    - Solving Common **[Connectivity Issues]**
    - Connect with our team and **[Get 1:1 Support]**

# Product Highlights & Benefits

## Solve coding problems faster with Copilot Chats

#### Introducing Copilot Chats, an advanced feature of our Azure Data Studio Extension, crafted to seamlessly integrate with your unique development workflow. The Pieces Copilot is not just a tool; it's a workflow assistant that adapts to your style, learning from your interactions to provide highly personalized, context-aware assistance.

#### Powered by on-device machine learning, as well as your choice of local and cloud-based LLMs (i.e. Llama 2, GPT-3.5, GPT-4, and PaLM 2), Pieces Copilot offers a blend of coding efficiency, accuracy, and personalized support that understands the nuances of your work, enhancing your coding experience irrespective of the task complexity.

- ### Contextualized and Continuous Learning

  #### Pieces Copilot excels in offering highly contextualized support. By analyzing your codebase and interactions in real-time, it delivers tailored suggestions, code optimization tips, and contextually generated code, all based on your unique coding patterns and project requirements.

  #### Pieces Copilot leverages user-defined contexts, such as local files, folders, and snippets, for code generation and interactive assistance. Set your context as chat messages, specific repositories, or saved code snippets to ensure that Copilot's support is precisely aligned with your needs.

- ### Local and Cloud-Based LLMs (Llama 2, GPT-3.5, GPT-4, and PaLM 2)
  #### From the start, everything we build at Pieces is designed with utmost security and privacy in mind. We believe that your data is yours, and we are committed to keeping it that way. As a result, you can choose between local and cloud-based LLMs, depending on your security needs and preferences.
  #### Currently, we have available Llama 2 to run either on your device's CPU or GPU, and GPT-3.5, GPT-4, and PaLM 2 to run via the cloud. We are continuously working on expanding our LLM offerings, so stay tuned for more updates!
  > #### Local LLM Recommendations
  >
  > - GPU LLM's are designed for machines with a modern, dedicated
  >   graphics chip (i.e: ARM Mac, NVIDIA GPU with 6gb VRAM or more)
  > - CPU models are recommended if you do not have a strong enough
  >   graphics card for the GPU LLM's. Be aware this model will be as slow or
  >   as fast as your machine specs allow.
  > - CLOUD models are recommended if performance issues arise while
  >   using the local models (for older or lower powered machines).

## Saving Useful Developer Materials

#### Pieces for Developers was built from the ground up to serve as a centralized place to save all types of materials and resources related to a developer's work-in-progress journey.

#### Code snippets, scratch files, screenshots, UML diagrams, links, and more. Paste something from your clipboard, drag & drop, or save it directly in IDE via our plugins.

- ### Stay in Flow with Single-Click Save

  #### We are making a continuous effort to provide our users with frictionless ways to save key workflow materials. Stay in the flow with our **[Azure Data Studio Extension]** and simply select a code snippet or a resource in your file tree, right-click, and select "Save to Pieces".

  #### Save all types of resources. It's better to have a resource available and not need it than need it and not have it!

  > - **i.e. Boilerplate/Reference Snippets, Common Bash/Powershell Commands, CI/CD Configurations, HTTP Requests, Screenshots, Architecture/UML Diagrams, Text Notes, and so much more.**

- ### Proactive Save and Pattern Engine

  #### It's often the case that you only realize you should have saved a resource at the moment you realize you didn't save it. To help with this phenomenon our **[Azure Data Studio Extension]** learns from your workflow behaviors and can proactively save things for you.

  #### Our offline-first and on-device Pattern Engine runs in the background and can pick up on your workflow patterns, recognize snippets that you’re frequently reusing; and from there, if you don’t have similar snippets already saved, our platform will automatically save these high-reuse snippets for you.

- ### In-Project Snippet Discovery
  #### **[Pieces for Developers]** is the first developer tool in the world to ingest an entire code base and return hyper-specific, highly-reusable code snippets entirely offline and on-device.
  #### Running **[Snippet Discovery]** on a local source repository has huge benefits:
  - **Discover highly reusable snippets resulting in less time spent re-writing the same code from scratch over and over**
  - **Driving code standardization within and across projects**
  - **Discover reference snippets and share them with your team or use them to onboard new developers faster than ever**

## Context Awareness Engine, Useful Metadata, and AI Auto-Enrichment

#### When you save something to **[Pieces for Developers]** it not only saves the material itself; but further, our [Context Awareness Engine] automatically attaches related context & metadata enabling powerful organization, search, and suggestion capabilities.

- ### Origin Details

  #### Reference code is everywhere these days, whether it's a solution that you're adapting from Stack Overflow or doc-site boilerplate sent over Slack or Microsoft Teams, all code comes from somewhere.

  #### Where a code snippet came from, and the larger context it was taken out of, is often lost when saving or sharing reference materials today and makes it incredibly difficult to find and share or reuse it later on.

  #### In an effort to maintain this invaluable context, Pieces for Developers automatically extracts and associates useful origin details every time you save a resource.

  > **i.e. Project Name, Source File, Line Numbers, Collaborators, Solution Publishers, Application Source, etc.**

- ### AI-Generated Smart Descriptions and Associated Commit Messages

  #### Between our **[Flagship Desktop App]**, **[Chromium-Based Browser Extension]**, and the **[Azure Data Studio Extension]**, our users are saving more than ever. That said, a large part of our material enrichment efforts are allocated towards making searches and suggestions first-class.

  #### With these end goals in mind, Pieces for Developers ships with an offline and on-device ML Material Description model that generates a smart description for everything you save:

  - **i.e. What the code snippet or resource is, what it does, how to use it, and how it might be used in the future.**

  #### These smart descriptions, coupled with relevant commit messages extracted via our Context Awareness Engine, enable awesome reference and reuse experiences later on in a users' workflow.

- ### Related Links, External Resources & Reference Materials

  #### More and more developer resources live online nowadays. Saving links you found while researching or problem-solving in the browser, code, or documentation has never been easier.

  #### With Pieces for Developers you can quickly associate URLs to external resources such as Documentation Pages, Wiki Links, Jira Tickets, Pull Requests, GitHub Issues, you name it, with your saved materials.

- ### AI-Generated Smart Labels and User Added Tags

  #### Doubling down on our efforts to make search and suggestion world-class, Pieces for Developers ships with an offline and on-device ML Material Labeling model that automatically generates smart labels for everything you save:

  - **i.e. “HTTP Request”, “Flutter Framework”, "Dart Project", "Conditional For Loop"**

  #### In addition to our auto-generated smart labels, our Context Awareness Engine automatically layers in tags corresponding to origin details and related links.

  #### Lastly, you can easily add your own tags as a manual way to further organize your saved resources while driving a more personalized search and suggestion experience.

- ### Related People

  #### These days technical work is more people-centric than ever. Writing and reviewing code, upskilling on ever-evolving best practices, migrating to new framework versions, and onboarding new developers, it all builds on the work of others.

  #### Simply knowing who to reach out to for additional context, who to add as a reviewer on pull requests, or who might provide a different perspective could save some serious time and prevent major headaches.

  #### To help solve this dilemma, our Context Awareness Engine automatically associates Relevant Collaborators, Maintainers, and Content Authors with the resources you save.

- ### Smart Warnings and Sensitive Information Detection
  #### Some of the most commonly saved snippets are Powershell and Command Line instructions, boilerplate for unit tests, .env variables, HTTP requests and CI/CD build configs.
  #### All of these often contain sensitive data like API keys, auth tokens, usernames, passwords, or service account credentials.
  #### Pieces for Developers facilitates security and programming best practices by detecting sensitive information and warning against accidental uploads or sharing.

## Global Search, Sort via Suggestions, Reference and Reuse Saved Materials

#### Pieces for Developers ships with a first-in-kind TLP Query Engine built to efficiently run entirely on-device. Search and Suggestion results rank on a blend of code similarity, recent activity, tags, descriptions, people, related links, and more.

- ### In-Editor Global Search with the Command Palette

  #### Our Azure Data Studio Extension makes it easier than ever to find what you need when you need it with a blazing-fast search experience right inside your editor.

  #### Instantly find, reference, share or reuse your saved developer materials in a few keystrokes without breaking your flow.

- ### Fine-tune Global Search with **Result Display Modes & Sort Preferences**

  #### Not able to find what you're looking for? Try out our different Global Search Preferences.

  #### As a result of automatic material enrichment there is a bunch of helpful metadata associated with each saved material. With that, you can mix and match different search preferences and result display modes in a way that best matches your search style.

- ### Reuse Saved Materials with **Atomic Auto-Complete**

  #### From the Language Servers that ship with Azure Data Studio, to the recent variety of LLM offerings like GitHub Co-Pilot and TabNine, there are already plenty of great options for auto-completing code.

  #### With this in mind and leveraging our on-device Pattern Engine, we wanted to take a complementary approach to these existing systems.

  #### Our goal isn't to auto-complete from all possibilities, in all scenarios; but more specifically, auto-complete from your saved code snippets, in scenarios where it makes the most sense.

  - **i.e. Creating a new file from saved boilerplate, writing unit tests, or integrating marketing scripts such as Google Analytics or Facebook Pixel Tags.**

- ### **Explore Snippets** with Pieces Insights

  #### Exploring Materials with Pieces Insights allows you to learn more about a code snippet without saving it to your repository.

  #### To revisit explored materials, check out the new section titled “Explored Materials & Snippet Insights” in the Extension Tree View. Here, you can view your explored materials, save them to Pieces, or delete them— just right-click. If you’d like to automatically save your explored materials to your Pieces repository, toggle on “Explore and Save” in your extension settings.

- ### **Document Snippets** with Pieces Insights

  #### If you love the Pieces autogenerated explainations of your snippets, you can automatically insert those descriptions as comments above the explored material into your code! By default, the Pieces for Azure Data Studio Extension will automatically add comments of the description above your Explored Materials. To turn this off, uncheck “Document with Pieces Insights” in the Extension settings.

- ### Sorting with Realtime and Scope-Relevant Suggestions

  #### The demands on developers are increasing every day. As a result, a developer's time is becoming ever more precious and anything that boosts productivity is no longer a nice-to-have, but a need-to-have.

  #### With that, our team has invested serious resources enabling Pieces for Developers to proactively suggest the most relevant materials at the right time.

  #### Complementing **[Proactive Save and Pattern Engine]** in the **[Azure Data Studio Extension]**, we're excited to for you to check out **[Sorting via Suggestions]**, which is based on your recently saved materials, available in our **[Flagship Desktop App]**.

- ### Accessing Saved Material Overviews from the In-IDE List View

  #### In addition to **[Global Search]**, **[Scope-Relevant Suggestions]**, and **[Atomic Auto-Complete]**, we wanted to make it easy to view and access all of your saved materials, and their associated metadata, directly from within your IDE.

  #### When you install the Azure Data Studio Extension a tool tab with the Pieces logo is added to the left-hand side of Azure Data Studio. This is where you can view all of your saved resources; further, open them for referencing in a generated **[Material Overview Markdown]**, and sign in to set up your private cloud for sharing.

- ### Pick-up where you left-off with the Workflow Activity Stream

  #### Picking up where you left off and getting back into flow is one of the largest productivity bottlenecks throughout a developer's workflow. So, our team has been hard at work making it easier than ever to backtrack through your work-in-progress journey.

  #### Our **[Workflow Activity Stream and Process Backtracking]** enable you to quickly find and access useful context metadata that's been associated with your saved materials. Workflow details and points of reference such as related links, shared snippets, relevant tags, collaborators, and more are all available as a scrollable timeline right within our **[Flagship Desktop App]**.

- ### Find Related Materials
  #### Sometimes you know you’ve saved a helpful snippet to your current project, but you can’t remember exactly what it is. By using Pieces to find Related Materials, you can easily discover the snippet you were looking for, or a different, equally useful snippet.
  #### Highlight some code in your editor, right-click, and select “Find Related Materials in Pieces.” Pieces will search your saved snippets and display any related materials in the Side Panel, so that you can easily add them to your project.

## Personalized Link-Sharing of Saved Materials and Their Context Metadata

#### Developers, Technical Writers, Instructors, and many others in the space are constantly having to share code snippets, error logs, configuration files, boilerplate, sample code, and other developer materials with their colleagues, content readers, students, open-source maintainers, customers, and so on.

#### For us, sharing is not only about sending someone the code snippet or resource itself, but further, enabling the recipient to access both the material and its associated context metadata - where it came from, what it is, why it was saved, its description, git context, tags, additional collaborators, related links, and so much more.

- ### Select, Right-Click & Link-Share Directly in Your IDE

  #### Effortlessly share code snippets, screenshots, and other resources with a personalized access link _i.e._ **_YOUR_USERNAME.pieces.cloud_**_,_ in just a few steps. When you select a resource within your IDE and generate a shareable link, that resource along with all of its useful context gets uploaded to your private Pieces for Developers Cloud.

  #### From there, those with the link will be able to access what you shared and its context metadata, even if the recipient doesn't have Pieces for Developers themselves.

  - **Preview this [Shared Python Snippet] from [python.pieces.cloud] in your browser, which is one of twenty useful snippets in our _[Curated Python Snippets Collection]_**

  #### Further, if you edit the resource or add additional context metadata [Pieces for Developers] will recommend that you update the link or automatically update it for you. This happens in the background without generating a new access link meaning previous recipients can stay up to date, and you don't have to re-share.

  #### Lastly, we know that accidental shares happen and permission levels can change. With that, you can always revoke a shareable link at any time.

- ### Saving a Shared Material for Offline Reuse from the Pieces for Developers ⎸ Sharing Preview Web App
  #### Although it's not needed to have [Pieces for Developers] installed when accessing a shared resource, we don't want our users having to switch back and forth to the browser or needing to keep track of all the share links you've received.
  #### For recipients that have [Pieces for Developers] installed, they can easily save a copy of the shared resource to their own [Pieces for Developers] drive for offline search, suggestion, and reuse later on.
  #### Simply click the **_Save to Pieces_** button located at the top of the Sharing Preview Web App, and you're good to go! You can now access and reuse the locally saved resource in our [Flagship Desktop App] or directly in your IDE with the [Azure Data Studio Extension].

## Installation Details and Getting Started

- ### What all is being installed?

  - #### **[Pieces for Developers | OS Server]** is our background service running offline and on-device required to enable:
    - **Individual products in the Pieces for Developers Suite to communicate**
    - **Local, Private, and Secure Machine Learning Models**
    - **Real-Time Search and Suggestions**
  - #### **[Pieces for Developers | Flagship Desktop App]**
    - **The _core Pieces for Developers experience_ fully loaded with over 50+ features and awesomely extended with our [Azure Data Studio Extension] and [Chromium-Based Browser Extensions].**
  - #### **[Pieces for Developers | Azure Data Studio Extension]**
    - Our **_most popular IDE extension_** that enables you to **_search, save, and share_** code snippets, screenshots, and other resources directly from within your IDE.

- ### Getting Started with [Pieces for Developers] on macOS

  > ##### _Compatible with **[macOS 10.15 Catalina or higher]**_

  1. #### Download the **[Pieces for Developers Package Installer]** and proceed with the installation.

  - #### This will install the **[Pieces for Developers ⎸ Flagship Desktop App]** as well as **[Pieces for Developers | OS Server]**

  1. #### Make sure **Pieces for Developers | OS Server** is running in the background.
  2. #### Launch Azure Data Studio and install our **Azure Data Studio Extension**

  - #### If you have already installed our **[Azure Data Studio Extension]**, and it's having trouble connecting the **[Pieces for Developers | OS Server]** background service try the following quick **[Troubleshooting Solutions]**

- ### Getting Started with [Pieces for Developers] on Windows

  > ##### _Compatible with **[Windows 10 Version 1809 or higher]**_

  1. #### Download our Pieces for Developers [Installation Manager] and proceed with the installation.

  - #### This will install the [Pieces for Developers ⎸ Flagship Desktop App] as well as [Pieces for Developers | OS Server]

  1. #### Make sure **Pieces for Developers | OS Server** is Running in the Background.
  2. #### Launch Azure Data Studio and install our **[Pieces for Developers | Azure Data Studio Extension]**

  - #### If you have already installed our [Azure Data Studio Extension], and it's having trouble connecting the [Pieces for Developers | OS Server] background service try the following quick [Troubleshooting Solutions]

- ### Getting Started with [Pieces for Developers] on Linux

  > ##### _Compatible with **[Ubuntu 18 or higher]** and is **currently in beta**_

  1. #### From the Snapcraft Store install the [Pieces for Developers | OS Server] Snap Package or run the following in the terminal:

     ```shell
       $ sudo snap install pieces-os
     ```

  2. #### Enable Offline and On-Device Local Machine Learning by running the following command in the terminal:
     ```shell
       $ sudo snap connect pieces-os:dotnet-runtime-aspnetcore
     ```

  > ##### _This command sets up and configures local application interfaces to properly load our Sandboxed and Secure Machine Learning Model_
  >
  > 3. #### Launch the [Pieces for Developers | OS Server] background service by running the following command in the terminal:

  ```shell
   $ pieces-os
  ```

  4. #### Launch the [Pieces for Developers | Flagship Desktop App] by running the following command in the terminal:
     ```shell
       $ pieces-for-developers
     ```
  5. #### Launch Azure Data Studio and install our [Pieces for Developers | Azure Data Studio Extension]

  - #### If you have already installed our [Azure Data Studio Extension], and it's having trouble connecting the [Pieces for Developers | OS Server] background service, try the following quick [Troubleshooting Solutions].

# Additional Features and Benefits

#### Believe it or not, this document simply scratches the surface of what the entire [Pieces for Developers] product lineup has to offer, and being just over a year into the journey, we're only getting started.

#### Nevertheless, here are some additional features and capabilities that are enabled with the [Pieces for Developers | Azure Data Studio Extension]

- ### Inserting a saved Code Snippet at your current cursor location

  #### When you're ready to re-use a snippet, we offer a variety of ways to quickly access and insert snippets into your active file. In addition to **[Atomic Auto-Complete]** or **[Global Search]**(#global-search-sort-via-suggestions-reference-and-reuse-saved-materials) using the command palette, users also enjoy the ability to insert a saved snippet at their cursor location via right-clicking on the snippet in the List View.

- ### Editing saved Code Snippets and Text Notes

  #### As we progress deeper into our projects, frameworks, and dependencies often change, which means we might need to adjust a saved snippet to comply with breaking changes or conform to new standards. Right-click on a snippet in the List View and select "Edit" to quickly and easily edit a saved snippet so your code can stay relevant and up-to-date.

- ### Renaming a Saved Material

  #### We're on a mission to make it as frictionless as possible for our users to save snippets without disrupting their flow. AI in Pieces for Developers will attempt to add a relevant name for your snippets automatically, so you don't have to. Don't worry, you can rename your snippets anytime to a convention that works best for you. All you need to do is right-click a snippet in the List View and select "Rename".

- ### Reclassifying a Code Snippets' Language Association

  #### When you save a material to Pieces for Developers, our AI works hard to understand what you saved so that we can successfully add as much helpful metadata - tags, related links & websites, related people - as possible.

  #### One of our fundamental capabilities is Instant Language Detection, which automatically detects the language of your snippet and supports over 50 programming languages including Typescript, Javascript, Python, Dart, C++, C#, and many more. Unfortunately, we don't always get it right, so we made it as easy as possible to reclassify a snippet to the proper language. Simply right-click a snippet in the List View and select "Reclassify".

- ### Deleting a Saved Material

  #### Since we made it so simple to save snippets from the [**browser**], your IDE, and using our [Flagship Desktop App], users are saving hundreds of snippets throughout their time researching, coding, and collaborating. For some, this can get a little chaotic. If you find yourself looking to do a little spring-cleaning, you can delete snippets by right-clicking a snippet in the List View and selecting "Delete".

- ### Connecting Custom Cloud Domain
  #### Sharing materials using Pieces for Developers is about more than sharing the material itself. It's about sharing the material and all the contextual metadata associated with it - where it came from, what it does, how to use, associated people, and more. What's unique about our shareable links and sharing with Pieces for Developers is all of our users receive their own, dedicated cloud, isolated from other users.
  #### As a result, you can _personalize your cloud domain_ with a custom name, like _**https://mack.pieces.cloud**_. Now, when you generate and share a link, your link will include your personalized domain, so users know exactly who it came from.
  #### See this [Shared Python Snippet] from [python.pieces.cloud] in your browser. Notice this is from the custom domain, "python".
  #### To personalize your cloud domain, open the **[Pieces for Developers | Desktop App]** and navigate to the settings menu.
  > ##### Important Note:
  >
  > - #### Updating your personal cloud domain can take up to 15 minutes for the new domain to go live. Don't worry, we will notify you when this is complete.

# Join our community!

## Help Us Shape the Vision

#### We are an early-stage software company on a mission to boost developer productivity and facilitate seamless workflows across a project lifecycle. Here are a few ways you can help us shape our vision and make our mission a reality.

- ### Become a part of our [Discord community](https://discord.gg/getpieces)

  #### To get the latest updates on features and products, join our Discord community. We have a channel dedicated to each of our products where you can ask questions, share feedback, and connect with other developers. We also have a section dedicated to our Open Source projects where you can learn more about our Open Source initiatives and how you can get involved.

- ### **[Submit Feedback]** or a Feature Request

  #### We want to hear what you think! Reach out to us and let us know how you liked our products or how we can make your experience even better. Whether this is constructive product feedback or a request for more features or product capabilities, we want to hear from you.

- ### **[Join our Beta Program]** to test new products and features!

  #### If you’re someone who likes to get their hands on the latest and greatest, our Beta Program is the perfect fit for you. Fill out this form to get early access to new features, products, and more to help us uncover issues, optimize the user experience, and shape the product for our global user base.

- ### Leave us a (positive or _constructive_) product review
  #### We are a small and passionate team of developers building an amazing suite of products for developer productivity and to augment existing workflows. Whether you’ve had a positive or negative experience with a Pieces for Developers product, we want to hear from you. Please leave us a positive or constructive review on what you think about our products as any bit of feedback helps us on our mission.

## Stay in the know and Get Updates

[![Pieces for Developers ⎸ Blog](https://storage.googleapis.com/pieces_static_resources/vs_code_marketplace/GRAPHICS/COMMUNITY_LOGOS_BLURRED/PIECES_BLURRED)](https://code.pieces.app/blog)
[![Pieces for Developers Blog ⎸ Youtube Channel](https://storage.googleapis.com/pieces_static_resources/vs_code_marketplace/GRAPHICS/COMMUNITY_LOGOS_BLURRED/YOUTUBE_BLURRED)](https://www.youtube.com/@getpieces)
[![Pieces for Developers Blog ⎸ Facebook Page](https://storage.googleapis.com/pieces_static_resources/vs_code_marketplace/GRAPHICS/COMMUNITY_LOGOS_BLURRED/FACEBOOK_BLURRED)](https://www.facebook.com/getpieces/)
[![Pieces for Developers Blog ⎸ Dev.to](https://storage.googleapis.com/pieces_static_resources/vs_code_marketplace/GRAPHICS/COMMUNITY_LOGOS_BLURRED/DEV_TO_BLURRED)](https://dev.to/get_pieces/)
[![Pieces for Developers Blog ⎸ Twitter Page](https://storage.googleapis.com/pieces_static_resources/vs_code_marketplace/GRAPHICS/COMMUNITY_LOGOS_BLURRED/TWITTER_BLURRED)](https://twitter.com/getpieces)
[![Pieces for Developers Blog ⎸ Hashnode](https://storage.googleapis.com/pieces_static_resources/vs_code_marketplace/GRAPHICS/COMMUNITY_LOGOS_BLURRED/HASHNODE_BLURRED)](https://pieces.hashnode.dev/)
[![Pieces for Developers Blog ⎸ Medium](https://storage.googleapis.com/pieces_static_resources/vs_code_marketplace/GRAPHICS/COMMUNITY_LOGOS_BLURRED/MEDIUM_BLURRED)](https://pieces.medium.com/)
[![Pieces for Developers | Discord](https://storage.googleapis.com/pieces_static_resources/vs_code_marketplace/GRAPHICS/COMMUNITY_LOGOS_BLURRED/DISCORD_BLURRED)](https://discord.gg/getpieces)

- ### Subscribe to our **[YouTube Channel]**
  #### Our YouTube channel has all the insights, tips, and helpful information you could need for all of our products. There you’ll find videos to walk you through features our users love and how Pieces for Developers can help speed up your development workflow. Check out our YouTube channel and subscribe to receive the latest news, tips, and information about our products.
- ### Subscribe to our **[Release Notes & Monthly Newsletter]**

  #### We release updates 3-4 times a month across all of our products. That’s a lot to keep up with! With each release comes an in-depth release note detailing new features, bug fixes, and product announcements. Stay in-the-know by subscribing to our release notes here.

- ### Engage with us on **[Twitter]** & **[LinkedIn]**
  #### We post the latest on Pieces for Developers and topics buzzing around the technology community on our socials daily. Follow us for power tips, useful technical content, the occasional funny meme, or just to say “hi”. We’d love to engage with you!

## Beyond the Product

- ### Learn something new and check out our **[Blog of Technical Content & Tutorials]**
  #### We have published over 100+ articles on our blog and across other developer blog sites like Medium, Hashnode, and Dev.to. We have the best technical content for you to learn from or reference in your projects. We cover content across all types of technical material like frameworks to use and when, tips and tricks, how-to’s, programming language guides, Open Source information, and more!

## **Troubleshooting**

- ### Solving Common Connectivity Issues
  #### If you run into issues where your **[Pieces for Developers | Azure Data Studio Extension]** is having trouble connecting to **[Pieces for Developers | OS Server]**, try to restart **Pieces for Developers | OS Server** and then **Azure Data Studio** and try again.
  #### If the issue persists, try clicking the Refresh button at the top of the List View to re-attempt the connection. If that still fails, don't hesitate to contact us at **[support@pieces.app]** or fill out this **[Submit Feedback]** form.

### Frequently Asked Questions

- ### **I don’t see the snippet I just saved in the list view in my Azure Data Studio?**
  #### Hit the refresh button in Azure Data Studio list view panel.
- ### **I’m in Azure Data Studio and I keep getting the notification “Can’t Connect to Pieces OS”**
  #### Restart Pieces OS. After a couple of seconds re-open Azure Data Studio
- ### **What is Pieces OS? How does it work?**
  #### Pieces OS is the background service that enables Pieces to work locally and handles communications with any integrations. Without Pieces OS, Pieces for Developers will not be able to save your snippets or interact with any of your plugins.
  #### Pieces OS also enables you to sync Pieces to the cloud so that you can access your data anywhere. It also enables our other cloud-enabled features, like link sharing. Download and install Pieces OS! Head over to https://code.pieces.app/install to get started.
- ### **How do I share a snippet from my Azure Data Studio?**
  #### To share a snippet you must be connected to Pieces OS and logged in and connected to the cloud. Then click the Pieces extension icon to see the snippet tree view and click inside Pieces explorer to find your saved snippets. Right-click the snippet you’d like to share and select “share via Pieces link”. Then copy the shareable link and send it to anyone!
- ### **How do I connect to the Pieces Cloud from Azure Data Studio?**
  #### Sign in using a personal email. Upon successful sign-in, your account will begin to connect to the Pieces cloud. If you don’t get a pop-up confirming a successful connection to the Pieces cloud in your IDE, find the "Connect to Pieces cloud" primary sidebar location, if you’re connected to Pieces Cloud the status will read “Connected” with a green dot and if it’s not connected to Pieces Cloud, the status will read “Disconnected” with a red dot. Click the disconnected cloud icon to the right of the status to reconnect to Pieces cloud.
- ### Connect with our team and **[Get 1:1 Support]**
